#import <Foundation/Foundation.h>

@interface xmlObject: NSObject

@property NSXMLElement *xmlElement;
@property NSString *stringValueOfXMLElement;
@property NSXMLElement *parent;

-(void) parent: (NSXMLElement*) parent tagName: (NSString*) tagName;
-(void) setValue: (NSString*)stringValue;

@end

@implementation xmlObject

@synthesize xmlElement, stringValueOfXMLElement, parent;

-(void) parent: (NSXMLElement*) parent tagName: (NSString*) tagNAme {
    self.xmlElement = [[NSXMLElement alloc] initWithName:tagNAme];  //allocates XML Element and initializes with attribute passed in
    [parent addChild:self.xmlElement]; //takes parent XML Element and adds this object's xmlElement as a child
}

-(void) setValue: (NSString*)stringValue{ //set XML Element value
    [self.xmlElement setStringValue: stringValue];
}
@end
